Skip to main content
PUT
Update saved item

Authorizations

Authorization
string
header
required

Access token obtained from the /v1/auth/login endpoint

Path Parameters

savedItemId
string<uuid>
required

The ID of the saved item to update

Body

application/json
name
string
required
Example:

"Consulting Services"

price
number<float>
required
Example:

150

quantity
number<float>
required
Example:

1

currency
string
required
Example:

"USD"

description
string | null
Example:

"Professional consulting services"

tax_id
string<uuid> | null
Example:

"01jtbf0c9zaraqx3swthf88n5y"

unit_of_measurement_id
string<uuid> | null
Example:

"01jtbf0c9zaraqx3swthf88n5y"

Response

Saved item updated successfully

success
boolean
Example:

true

message
string
Example:

"Saved item updated successfully"

data
object